### Constructor

# Gtk AlternativeTrigger new

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_alternative_trigger_new (
      GtkShortcutTrigger* first,
      GtkShortcutTrigger* second
    )

#### Description [src]

Creates a `GtkShortcutTrigger` that will trigger whenever either of the two given triggers gets triggered.

Note that nesting is allowed, so if you want more than two alternative, create a new alternative trigger for each option.

#### Parameters

`first` | `GtkShortcutTrigger`
| The first trigger that may trigger.
| The called function takes ownership of the data, and is responsible for freeing it.
`second` | `GtkShortcutTrigger`
| The second trigger that may trigger.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkShortcutTrigger`
| A new `GtkShortcutTrigger`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.